> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Healing Versions



## OpenAPI

````yaml /api-reference/openapi.json get /api/datasets/{dataset_id}/healing/versions
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/datasets/{dataset_id}/healing/versions:
    get:
      tags:
        - healing
      summary: List Healing Versions
      operationId: list_healing_versions_api_datasets__dataset_id__healing_versions_get
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Dataset Id
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HealingVersionsRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HealingVersionsRead:
      properties:
        dataset_id:
          type: string
          title: Dataset Id
        active_version_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Active Version Id
        metadata_file:
          anyOf:
            - type: string
            - type: 'null'
          title: Metadata File
        versions:
          items:
            $ref: '#/components/schemas/HealingVersionRead'
          type: array
          title: Versions
      type: object
      required:
        - dataset_id
      title: HealingVersionsRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    HealingVersionRead:
      properties:
        version_id:
          type: string
          title: Version Id
        job_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Job Id
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        target:
          type: string
          enum:
            - download
            - dataset
          title: Target
          default: download
        healed_root_path:
          type: string
          title: Healed Root Path
        archive_path:
          type: string
          title: Archive Path
        options:
          type: object
          title: Options
        manifest:
          type: object
          title: Manifest
        active:
          type: boolean
          title: Active
          default: false
      type: object
      required:
        - version_id
        - healed_root_path
        - archive_path
      title: HealingVersionRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````